package com.ruoyi.web.app;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.bst.orderDevice.domain.OrderDeviceVO;
import com.ruoyi.bst.orderDevice.service.OrderDeviceService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/app/orderDevice")
public class AppOrderDeviceController extends BaseController {

    @Autowired
    private OrderDeviceService orderDeviceService;

    @ApiOperation("获取本人正在使用的订单设备")
    @GetMapping("/mineUsing")
    public AjaxResult getMineUsing() {
        OrderDeviceVO orderDevice = orderDeviceService.selectUsingByUserId(getUserId());
        return success(orderDevice);
    }
    
}
